{ pkgs, ... }:
{
    virtualisation.docker = {
        enable = true;
        daemon.settings = {
            experimental = true;
            default-address-pools = [
                {
                    base = "172.16.0.0/8";
                    size = 25;
                }
            ];
        };
    };
    services.cron = {
        enable = true;
        systemCronJobs = [
            "0 5 * * *      root    docker system prune -f"
        ];
    };

    environment.systemPackages = with pkgs; [
        docker-compose
    ];
}